<template>
<section>
	<flash-message transitionIn="animated swing" class="myCustomClass"></flash-message>
	<div v-for="(ride,index) in rides">
		<div class="row rides-list">
			<div class="col-md-2">
				<h4 class="title">Driver</h4>
				<div class="profile-pic-sm" style="text-align: center;">
					<img :src="ride.user.avatar" 
						alt="profile_image" class="img-circle"><br />	
					<p align="center">{{ ride.user.first_name }} {{ ride.user.last_name }}</p>

					<a :href="'/rides/viewUserProfile/' +ride.user_id"
					class="btn btn-info x-slim-button">View Profile</a>
				</div>	
			</div>
			<div class="col-md-6">
				<h4 class="title">Trip Details 
					<small v-if="ride.ride_type === 'Airport'"> Airport Ride</small> 
				</h4>

				<span class="add-id"><i class="fa fa-map-marker margin-right-15"></i><strong>  From:</strong> {{ ride.location_from }} </span> <br/>
				<span class="add-id"><i class="fa fa-map-marker margin-right-15"></i><strong>  To:</strong> {{ ride.location_to }} </span> <br/>

				<div v-for="stop in ride.stop">
					<span class="add-id"><i class="fa fa-map-marker margin-right-15"></i><strong>  Stop:</strong> {{ stop.city_name }} </span> <br/>
					
				</div>

				<span class="add-id"><i class="fa fa-calendar margin-right-15"></i><strong>  Date:</strong> {{ride.dateFrom | formatDate }}</span><br/>
				<span class="add-in"><i class="fa fa-clock-o margin-right-15"></i><strong>  Time: </strong> 
					{{ ride.startHour | formatTime }}
				</span> <br/>
				<span class="add-in no-mobile"><i class="fa fa-map-o margin-right-15"></i><strong>  Description: </strong> {{ ride.description }}
				</span> <br/>
				<div v-if="ride.ladies_only == 'Yes'">
					<span class="add-in ladies-pink">
						<i class="fa fa-female margin-right-15"></i> <strong>WOMEN ONLY</strong> {{ ride.ladies_only }}
					</span>
				</div>
			</div>
			<div class="col-md-2">
				<h4 class="title">Price</h4>
				<div style="text-align: center;">
					<h2 class="rideprice"> ${{ ride.price }}</h2>
					
					<div v-if="ride.stop == true">
						<input type="text" name="isStop" v-model="ride.stop" style="display: none;">
					</div>
				</div>
			</div>

			<div class="col-md-2">
				<h4 class="title">Booking</h4>
				
				<p><strong>Seats Available:</strong> {{ ride.seats_available }} </p>
				<p><strong>Passengers:</strong> {{ ride.user_ride.length }} </p>

				<a class="btn btn-grey" :href="'/rides/rides/'+ ride.id+'/edit' ">
					<i class="fa fa-pencil margin-right-15"></i> Edit</a>

				 <a class="btn btn-danger" style='display:inline;'
				 onclick="return confirm('Are you sure you want to delete the ride?')"
				 v-on:click="deleteRide(ride.id,index)"> 
				 	<i class="fa fa-trash text-small2"></i> </a>
				
		    	<div v-if="ride.user_ride.lenght > 0">
		    		<div class="wrapper" style="padding-top: 25px">
		    			<p>Seats Available: {{ ride.seats_available }} </p>
						<p>Passengers : {{ ride.user_ride.length }}
		    			<div v-for='user_ride in ride.user_ride'>
		    				<div v-if="user_ride.driver_rate == null && user_ride.transaction_id != null && user_ride.user != null"> 
								<p> Review Passenger: {{ user_ride.user.first_name }}</p>
								<a class="btn btn-success" :href="'/reviews/rate/'+user_ride.user_id
									+'/'+ride.id">Review</a>
					        </div>
					    </div>
		    			<div v-if="user_ride.driver_rate != null">
		    				
		    					<p> Thanks for your review to {{ user_ride.user.first_name }} </p>
		    			</div>
		    			<div v-else>
		    				<p> No passengers </p>
		    			</div>
		    		</div>
		    	</div>
			</div>

		</div>
	</div> <!-- End of Loop -->
</section>
</template>

<script>
	import VueFlashMessage from 'vue-flash-message';

    export default {
    	name:"currentrides",
    	components:{VueFlashMessage, },
    	props:['rides'],
    	mounted(){
    		
    	},
    	methods:{

    		deleteRide:function(id,index){
    			console.log(index);
    			
    			axios.post('/rides/destroy/' + id, {
                    body: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    }
                }).then(response => {
                	this.flash(response.data['message'], response.data['status'],{timeout: 3000});
                    this.rides.splice(index, 1);

                }).catch(e => {
                    console.log(e)
                })
    		},
    		hideAlert:function(){
    			this.message = null;
    		}
    	},
    	data(){
    		return{
    			message:'',
    			alert:'',
    			status:'',
    		}
    	}
    }

</script>